#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krecorder
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Convergent KDE audio recording application
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://invent.kde.org/plasma-mobile/krecorder
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KirigamiAddons)
BuildRequires:  cmake(KF5WindowSystem)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       gstreamer1.0-plugins-good

%description
Audio recorder for Plasma Mobile and other platforms.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047373
- New version 23.04.3

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1961529
- fix gstreamer1.0 dependency

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961430
- initial package krecorder

